







<div class="content-wrapper">

	<!-- Content Header (Page header) -->

	<section class="content-header">

		<h1>

			Tipo de Operación

			<small>modulo</small>

		</h1>

		<ol class="breadcrumb">

			<li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>

			<li><a href="#">Mantenimiento</a></li>

			<li><a href="#">General</a></li>

			<li class="active"><i class="fa fa-calculator"></i> Tipo Operación</li>

		</ol>

	</section>

	<section class="content" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">

		<div class="row">

			<div class="col-xs-12">

				<div class="box">

					<div class="box-header">

						<button id="btn_agregar" onClick="tipoperacion_form('insertar')" class="btn btn-primary">Agregar</button>

						<button id="btn_actualizar" class="btn btn-default">Actualizar</button>

						<div id="msj_tipoperacion" class="alert alert-info pull-right" style="padding:2px;margin-bottom:0px;display:none"></div>

						<!--<h3 class="box-title">Listado de Clientes</h3>-->

					</div>

				</div>

			</div>

		</div>

	</section>



	<!-- Table content -->

	<div id="div_tipoperacion_tabla"></div>

	<!-- Form content -->

	<div id="div_tipoperacion_form"></div>



</div>



<script type="text/javascript">

	function tipoperacion_tabla()

	{	

		$.ajax({

			type: "POST",

			url: "../tipoperacion/tipoperacion_tabla.php",

			async:true,

			dataType: "html",                      

			data: ({

			//pro_est:	$('#cmb_fil_pro_est').val()

		}),

			beforeSend: function() {

				$('#div_tipoperacion_tabla').addClass("ui-state-disabled");

			},

			success: function(html){

				$('#div_tipoperacion_tabla').html(html);

			},

			complete: function(){			

				$('#div_tipoperacion_tabla').removeClass("ui-state-disabled");

			}

		});     

	}



	function tipoperacion_form(act,idf)

	{

		$.ajax({

			type: "POST",

			url: "../tipoperacion/tipoperacion_form.php",

			async:true,

			dataType: "html",                      

			data: ({

				action: act,

				tipope_id:	idf,

				vista:	'tipoperacion_tabla'

			}),

			beforeSend: function() {

				$('#table').hide();

				$('#msj_tipoperacion').hide();

				/*$('#div_tipoperacion_form').dialog("open");*/

				$('#div_tipoperacion_form').html('Cargando...');

			},

			success: function(html){

				$('#div_tipoperacion_form').html(html);

				$(window).scrollTop(0);				

			}

		});

	}



	function eliminar_tipoperacion(id)

	{   

		$('#msj_tipoperacion').hide();   

		if(confirm("Realmente desea eliminar?")){

			$.ajax({

				type: "POST",

				url: "../tipoperacion/tipoperacion_reg.php",

				async:true,

				dataType: "html",

				data: ({

					action: "eliminar",

					tipope_id:		id

				}),

				beforeSend: function() {

					$('#msj_tipoperacion').html("Cargando...");

					$('#msj_tipoperacion').show(100);

				},

				success: function(html){

					$('#msj_tipoperacion').html(html);



				},

				complete: function(){

					tipoperacion_tabla();

				}

			});

		}

	}





//

$(function() {	

	$('#btn_actualizar').click(function() {

		$("#content").load("../tipoperacion/tipoperacion_vista.php");

	});

	tipoperacion_tabla();		

	 setTitle("Tipo de Operación - "+nameofempresa);

});



</script>